Skip to main content
PATCH
/
schedule
/
{schedule_id}
Update a schedule
curl --request PATCH \
  --url https://api.example.com/schedule/{schedule_id} \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "cron_expression": "<string>",
  "timezone": "<string>",
  "enabled": true,
  "stateful": true
}
'
import requests

url = "https://api.example.com/schedule/{schedule_id}"

payload = {
"name": "<string>",
"description": "<string>",
"cron_expression": "<string>",
"timezone": "<string>",
"enabled": True,
"stateful": True
}
headers = {
"x-user-id": "<x-user-id>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-user-id': '<x-user-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
cron_expression: '<string>',
timezone: '<string>',
enabled: true,
stateful: true
})
};

fetch('https://api.example.com/schedule/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "user_id": "<string>",
  "agent_id": "<string>",
  "data": {
    "name": "<string>",
    "cron_expression": "<string>",
    "chat_model_config": {
      "type": "<string>",
      "credential_id": "<string>",
      "model": "<string>",
      "parameters": {}
    },
    "description": "",
    "enabled": true,
    "timezone": "Asia/Shanghai",
    "started_at": "2023-11-07T05:31:56Z",
    "ended_at": "2023-11-07T05:31:56Z",
    "stateful": false,
    "permission_mode": "dont_ask",
    "source": "USER",
    "source_session_id": ""
  },
  "id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

x-user-id
string
required

Caller's user ID. Temporary header-based identity; will be replaced by JWT auth.

Path Parameters

schedule_id
string
required

Body

application/json

Request body for partially updating a schedule.

Omit any field to keep its current value. Changing cron_expression or timezone will reschedule the APScheduler job immediately. Changing enable to False removes the job from the scheduler without deleting the record; setting it back to True re-registers it.

name
string | null

New display name.

description
string | null

New description.

cron_expression
string | null

New cron expression. Reschedules the task immediately.

timezone
string | null

New IANA timezone name.

enabled
boolean | null

Set to False to pause the schedule without deleting it.

stateful
boolean | null

Change whether executions share session context.

permission_mode
enum<string> | null

New permission mode.

Available options:
default,
accept_edits,
explore,
bypass,
dont_ask

Response

Successful Response

Persisted schedule record.

user_id
string
required

Owner user id.

agent_id
string
required

The agent id that will execute the schedule.

data
ScheduleData · object
required

Schedule configuration.

id
string

Unique identifier for the credential.

updated_at
string<date-time>
created_at
string<date-time>